Subject: Re: merge-recursive, was Re: What's in git.git

From: Jakub Narebski <[email-masked]>
Date: Thu, 26 Oct 2006 11:47:34 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> BTW. both Perl version and builtin shorlog have email->real name translation
>> table built in. In Perl script version it is in __DATA__ section, and we
>> could update it using Inline::Files module, in C version it was in table.
>> But in fact this list is project specific. Shouldn't we make it customizable
>> (::sigh::, yet another file in $GIT_DIR...).
> 
> It already reads from .mailmap which could be tracked as part of
> the sources (if it is project specific it would be better if it
> can be shared among members).

By the way, if I read code correctly, it read '.mailmap' from _current_
directory. Shouldn't it read qx(git-rev-parse --show-cdup)/.mailmap ?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git